> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/17.-fraga-hamta-soildatasets.md).

# 17. Fråga: Hämta "SoilDatasets"

Hämta alla "SoilDatasets" för det valda "Field". Dataset kan hämtas med generiska GraphQL-frågor som `getFarms` och `getFields` från det länkade "Field".&#x20;

{% hint style="warning" %}
Ett "SoilDataset" måste laddas upp i förväg.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #mönster "<OperationType> <YYYY-mm-DD>"
        operationId #om finns
        number #totalt antal geofunktioner
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #kompletta detaljer per attribut
          name #länk till statistik >> attribut
          transliteratedName
          fullName #om finns
          unit #om finns
        }

        createdDate #entitetens skapandedatum och tid i GeoPard
        updatedDate #senaste uppdateringsdatum och tid
        operationType
        operationId
        operationFileDate #filens skapandedatum och tid
        operationStartDate #operationens start
        
        statistics { #statistikfördelning för varje jordattribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kortNamn
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        namn  
        operationId #om finns 
        number #totalt antal geofunktioner 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #länk till statistik >> attribut
          transliteratedName
          fullName #om finns
          unit #om finns
        }
      
        createdDate #skapad datum och tid i GeoPard
        updatedDate #senaste uppdatering datum och tid i GeoPard
        operationFileDate #filens skapandedatum och tid (om finns)
        operationStartDate #operationens start (om finns)
      
        statistics { #statistisk fördelning för varje jordattribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #visuell representation
          url
          kortNamn
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/17.-fraga-hamta-soildatasets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
